diff -Nru exim4-4.77-orig/debian/debconf/conf.d/transport/30_exim4-config_remote_smtp_smarthost exim4-4.77/debian/debconf/conf.d/transport/30_exim4-config_remote_smtp_smarthost
--- exim4-4.77-orig/debian/debconf/conf.d/transport/30_exim4-config_remote_smtp_smarthost	2009-03-15 23:57:04.000000000 +0900
+++ exim4-4.77/debian/debconf/conf.d/transport/30_exim4-config_remote_smtp_smarthost	2012-01-22 12:48:20.714200160 +0900
@@ -15,6 +15,13 @@
         }\
         {} \
       }
+.ifdef USE_SMTPS_PROTOCOL_FOR_SMARTHOST
+# Some ISPs offer SMTP service using deprecated SMTPS (SSL on port 465) 
+# protocol instead of using STARTTLS (usually on submission port 587).  
+# Exim 4.77 supports SMTPS protocol as SMTP client.
+  protocol = smtps
+# This automatically sets port=465
+.endif
 .ifdef REMOTE_SMTP_SMARTHOST_HOSTS_AVOID_TLS
   hosts_avoid_tls = REMOTE_SMTP_SMARTHOST_HOSTS_AVOID_TLS
 .endif
diff -Nru exim4-4.77-orig/debian/README.Debian.xml exim4-4.77/debian/README.Debian.xml
--- exim4-4.77-orig/debian/README.Debian.xml	2010-11-08 03:36:46.000000000 +0900
+++ exim4-4.77/debian/README.Debian.xml	2012-01-22 14:31:36.072921242 +0900
@@ -1233,9 +1233,21 @@
 	  required format.
 	</para>
 	<para>
+	  Many ISPs offer such a smarthost SMTP service with TLS 
+	  encryption using the modern STARTTLS method on the port 587
+	  (submission).  But some ISPs offer such a smarthost SMTP 
+	  service by using now deprecated SMTPS protocol which starts 
+	  SSL immediately after connection to the port 465.  Exim 4.77 
+	  supports SMTPS as client. If you need to enable SMTPS, you can
+	  do so by setting the USE_SMTPS_PROTOCOL_FOR_SMARTHOST macro.
+	  Please refer to <xref linkend="macros"/> for an explanation of
+	  how best to do this.
+	</para>
+	<para>
 	  If you need to enable AUTH PLAIN or AUTH LOGIN for unencrypted
 	  connections because your service provider does support neither
-	  TLS encryption nor the CRAM MD5 authentication method, you can
+	  TLS encryption with STARTTLS nor the SMTPS protocol with SSL
+	  nor the CRAM MD5 authentication method, you can
 	  do so by setting the AUTH_CLIENT_ALLOW_NOTLS_PASSWORDS macro.
 	  Please refer to <xref linkend="macros"/> for an explanation of
 	  how best to do this.
@@ -1246,6 +1258,19 @@
 	  Debian-exim). It is suggested that you keep the default
 	  permissions root:Debian-exim 0640.
 	</para>
+	<para>
+	  You need to pay attentions to avoid interfarence with the SPAM 
+	  prevention system. The header From: address and envelope From_ 
+	  address of your outgoing mails can be configured using
+	  <filename>/etc/email-addresses</filename>.  For some ISPs,
+	  mails with the unresolvable SMTP envelope address are rejected.
+	  Your header From: address may need to match your mail accout at
+	  the smarthost ISP to get DKIM signiture on your mail.  Your
+	  envelope From_ address may need to match your mail accout at
+	  the smarthost ISP to get better SPF score on your mail. 
+	  Some smarthost ISPs may automatically replace some of these
+	  addresses to match your mail accout there.
+	</para>
       </section>
       <section>	<title>Using Exim as SMTP-AUTH server</title>
 	<para>
